boost::geometry::interior_type< Geometry > Struct Template Reference
core: meta-functions for geometry types

Metafunction defining [*type] as the interior_type (container type of inner rings) of the \3. More...

List of all members.

## Public Types

typedef core_dispatch::interior_type < typename tag< Geometry > ::type, Geometry >::type | type

## Detailed Description

### template<typename Geometry>
struct boost::geometry::interior_type< Geometry >

Metafunction defining [*type] as the interior_type (container type of inner rings) of the \3.

Interior rings should be organized as a container (std::vector, std::deque, boost::array) with Boost.Range support. This metafunction defines the type of the container.

Template Parameters:

  Geometry | A type fullfilling the Polygon or MultiPolygon concept.

## Member Typedef Documentation

template<typename Geometry >

typedef core_dispatch::interior_type< typename tag<Geometry>::type, Geometry >::type boost::geometry::interior_type< Geometry >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK